Bug 1126922 - inkscape-0.48.5-1.fc22 FTBFS: /usr/include/sigc++-2.0/sigc++/limit_reference.h:115:8: error: 'visitor' is not a class template
Summary: inkscape-0.48.5-1.fc22 FTBFS: /usr/include/sigc++-2.0/sigc++/limit_reference....
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:21 UTC by Petr Pisar
Modified: 2014-09-17 12:25 UTC (History)
3 users (show)

Fixed In Version: inkscape-0.48.5-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-17 12:25:37 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-08-05 15:21:49 UTC
inkscape-0.48.5-1.fc22 fails to build in F22 because of C++ error:

/usr/include/sigc++-2.0/sigc++/limit_reference.h:115:8: error: 'visitor' is not a class template

The difference between last known working build root and the failing one is:

emoved packages:
	audit-libs-2.3.7
	cups-libs-1.7.4
	git-2.0.1
	glibmm24-2.41.1
	glibmm24-devel-2.41.1
	harfbuzz-0.9.32
	harfbuzz-devel-0.9.32
	harfbuzz-icu-0.9.32
	libsigc++20-2.3.1
	libsigc++20-devel-2.3.1
	libXfont-1.4.99.901
	parted-3.1
	perl-ExtUtils-Manifest-1.63
	perl-Git-2.0.1
	perl-HTTP-Tiny-0.043
	poppler-0.26.2
	poppler-devel-0.26.2
	poppler-glib-0.26.2
	poppler-glib-devel-0.26.2
	python-2.7.7
	python-devel-2.7.7
	python-libs-2.7.7
	tar-1.27.1
Added packages:
	audit-libs-2.3.8
	cups-libs-1.7.5
	git-2.0.4
	glibmm24-2.41.2
	glibmm24-devel-2.41.2
	harfbuzz-0.9.33
	harfbuzz-devel-0.9.33
	harfbuzz-icu-0.9.33
	libsigc++20-2.3.2
	libsigc++20-devel-2.3.2
	libXfont-1.5.0
	parted-3.2
	perl-ExtUtils-Manifest-1.64
	perl-Git-2.0.4
	perl-HTTP-Tiny-0.047
	perl-Term-ANSIColor-4.03
	poppler-0.26.3
	poppler-devel-0.26.3
	poppler-glib-0.26.3
	poppler-glib-devel-0.26.3
	python-2.7.8
	python-devel-2.7.8
	python-libs-2.7.8
	tar-1.28

Comment 1 Gwyn Ciesla 2014-08-05 19:03:35 UTC
I looked at the changelog for libsigc++20, and it looks like it might be the result of an API change introduced 2014-07-27.  The thing is, everything in my build log makes it look like a problem internal to libsigc++20, because the only mention of the inkscape code in the build errors is the include line.  As such I'm not really sure how to troubleshoot this.  Are there other packages FTBFS due to this?

Granted my template-fu is limited, so I may be missing something.

Comment 2 Petr Pisar 2014-09-17 12:25:37 UTC
The libsigc++20 bug seems to be fixed in version 2.4.0. inkscape has been rebuilt successfully as inkscape-0.48.5-3.fc22.


Note You need to log in before you can comment on or make changes to this bug.